class Components::LoggerConfigController < ApplicationController
  before_action :set_component

  def show
    render json: @component.call_module("/api/rx_module/logger")
  end

  def update
    @component.call_module("/api/rx_module/logger", method: :put, params: params)
    head :ok
  end

  private

  def set_component
    @component = Component.resolve(params[:component_id])
  end
end
