import {Transport} from "@rx-suite/data";
import {LoggerConfigModel} from "../stores/LoggerConfigStore";

export class LoggerConfigTransport extends Transport<LoggerConfigModel> {
    constructor() {
        super("/api/components", "logger_config")
    }

    async save(data: { id: string | number, module_id: string | number }) {
        return this.fetch(`/${data.module_id}/logger_config`, {
            method: 'PATCH',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify(data)
        })
    }
}